def import_trivectors(filename):
    import json
    f = open(filename);
    data = json.load(f);
    vectors = [];
    for item in data:
        store_details = {"tri-vector":None, "chi":None, "Edmonds realizations":None};
        tmp_matrices = [];
        matrices = [];
        for trimarix in item["Edmonds realizations"]:
            tmp = {"U":None, "V":None, "W":None};
            tmp["U"] = matrix(trimarix["U"]).transpose();
            tmp["V"] = matrix(trimarix["V"]).transpose();
            tmp["W"] = matrix(trimarix["W"]).transpose();
            matrices.append(tmp);
        store_details["tri-vector"] = item["tri-vector"];
        store_details["chi"] = item["chi"];
        store_details["Edmonds realizations"] = matrices;
        vectors.append(store_details);
    f.close()
    return(vectors);
def import_bivectors(filename):
    import json
    f = open(filename);
    data = json.load(f);
    vectors = [];
    for item in data:
        store_details = {"bi-vector":None, "chi":None, "Edmonds realizations":None};
        tmp_matrices = [];
        matrices = [];
        for trimarix in item["Edmonds realizations"]:
            tmp = {"G":None, "G*":None};
            tmp["G"] = matrix(trimarix["G"]).transpose();
            tmp["G*"] = matrix(trimarix["G*"]).transpose();
            matrices.append(tmp);
        store_details["bi-vector"] = item["bi-vector"];
        store_details["chi"] = item["chi"];
        store_details["Edmonds realizations"] = matrices;
        vectors.append(store_details);
    f.close()
    return(vectors);

A=import_trivectors('feasible-edmonds-geographic-vector-realization-ell4.json');
for m in A:
    print("Tri-vector: " + m["tri-vector"] + ", Chi: " + str(m["chi"]));
    print("Edmonds realizations: ");
    print(m["Edmonds realizations"]);
B=import_bivectors('feasible-edmonds-geographic-bi-vector-realization-ell4.json');
for m in B:
    print("Bi-vector: " + m["bi-vector"] + ", Chi: " + str(m["chi"]));
    print("Edmonds realizations: ");
    print(m["Edmonds realizations"]);